%define       name    owncloud
%define       version 3.0.2
%define       release %mkrel 1

%define       _owncloud_install %_datadir/%name

Summary:      Open personal cloud
Name:         %{name}
Version:      %{version}
Release:      %{release}
Source0:      http://owncloud.org/releases/%{name}-%version.tar.bz2
License:      AGPLv3
Group:        Monitoring
Url:          http://owncloud.org/
BuildRequires: apache
Requires:     php >= 4.1
Requires:     apache
Requires:     apache-mod_php
Requires:     php-zip
Requires:     php-mbstring
Suggests:     php-pear-MDB2_Driver_sqlite
BuildArch:    noarch

%description
A personal cloud server which runs on you personal server 
and enables accessing your data from everywhere and sharing 
with other people.

%files
%attr(-,apache,apache) %_owncloud_install
%config(noreplace) %_sysconfdir/httpd/conf/webapps.d/%{name}.conf

#--------------------------------------------------------------------


%prep
%setup -q -n %name 

%install
mkdir -p %buildroot/%_owncloud_install
(
mkdir temp 
pushd temp
tar xjf %{SOURCE0}
mv %name/* %buildroot%_owncloud_install
popd
)


mkdir -p %buildroot%_sysconfdir/httpd/conf/webapps.d
cat > %buildroot%_sysconfdir/httpd/conf/webapps.d/%{name}.conf <<EOF
# %{name} configuration
Alias /%name %_owncloud_install
<Directory %_owncloud_install>
    Order allow,deny
    Allow from all
</Directory>

EOF



%changelog

* Wed Apr 25 2012 fwang <fwang> 3.0.2-1.mga2
+ Revision: 233182
- new version 3.0.2

* Tue Jan 31 2012 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 203600
- New version 3.0.0

* Sun Jan 08 2012 dmorgan <dmorgan> 3.0-0.1.alpha1.1.mga2
+ Revision: 193563
- New version 3.0 Alpha1

* Wed Nov 23 2011 dmorgan <dmorgan> 2.0.1-1.mga2
+ Revision: 171107
- New version 2.0.1
- Requires php-mbstring
- Requires php-zip

* Wed Nov 02 2011 dmorgan <dmorgan> 2.0.0-1.mga2
+ Revision: 161214
- New version 2

* Sun Oct 02 2011 dmorgan <dmorgan> 2.0.0-0.b3.1.mga2
+ Revision: 151109
- New version

* Sat Sep 24 2011 dmorgan <dmorgan> 2.0.0-0.b1.3.mga2
+ Revision: 147384
- Update to owncloud 2 beta 1

* Sun Sep 18 2011 dmorgan <dmorgan> 1.90.0-0.20110818.3.mga2
+ Revision: 145179
- Fix requires

* Sun Sep 18 2011 dmorgan <dmorgan> 1.90.0-0.20110818.2.mga2
+ Revision: 144707
- Fix sha1.lst
- Empty sha1.lst
- Change apache-conf require
- Add php-pear-MDB2_Driver_sqlite as suggests
- New git snapshot

* Mon Apr 04 2011 ennael <ennael> 1.1-1.mga1
+ Revision: 80479
- clean spec file
- imported package owncloud


* Fri Nov 26 2010 Funda Wang <fwang@mandriva.org> 1.1-1mdv2011.0
+ Revision: 601453
- 1.1 final

* Mon Aug 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1-0.2mdv2011.0
+ Revision: 564901
- New snapshot

* Mon Jul 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1-0.1mdv2011.0
+ Revision: 560853
- Update git snapshot ( pre 1.1 )

* Thu Apr 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.6mdv2010.1
+ Revision: 535024
- Update to new git snapshot

* Tue Mar 30 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.5mdv2010.1
+ Revision: 528969
- New owncloud snapshot

* Fri Mar 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.4.1mdv2010.1
+ Revision: 527607
- Change versionning
- Update owncloud snapshot

* Wed Mar 24 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.3f88fb9f.1mdv2010.1
+ Revision: 527202
- import owncloud


